#' A subset of the DFLAT gene sets
#'
#' 20 selected gene sets from the DFLAT biological process gene sets
#'
#' @format A list of lists of gene identifiers, indexed by gene set name
#' @source \url{http://bcb.cs.tufts.edu/dflat//}
"dflatExample"

#' A subset of the GSE32472 BPD data set
#'
#' A dataset of 97 normal or BPD samples at 5 days of life, with gestational age, class, and gene expression for 654 genes
#'
#' @format A list
#' \describe{
#'   \item{data}{a matrix of 97 samples and 654 genes}
#'   \item{age}{a list of sample ages, indexed by sample id}
#'   \item{bpd}{a list of statuses, indexed by sample id}
#'   \item{ctrl}{a list of sample ids without BPD}
#'   \item{test}{a list of sample ids with BPD}
#' }
#' @source \url{https://www.ncbi.nlm.nih.gov/geo/query/acc.cgi?acc=GSE32472}
"gse32472Example"
