% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/tempoInput.R
\name{loadCLS}
\alias{loadCLS}
\title{Load a categorical or continuous cls formatted file.}
\usage{
loadCLS(target, sampleNames)
}
\arguments{
\item{target}{a string indicating the location of the .cls file. loadCLS will automatically determine whether the specified file is categorical or continuous.}

\item{sampleNames}{a list of sample names that correspond to each each entry in the .cls file.}
}
\value{
a list indexed by sample id containing the specified categorical or continuous variable.
}
\description{
\code{loadCLS} loads a categorical or continuous cls formated file.  Both file formats are described at \href{http://www.broadinstitute.org/cancer/software/gsea/wiki/index.php/Data_formats}{the BROAD site}.
}
\examples{
\dontrun{
ages = loadCLS("datasetAges.cls",rownames(loadGCT("dataset.gct")))
}
}
