% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/tempoCore.R
\name{tempo.permutationTest}
\alias{tempo.permutationTest}
\title{Permutation testing for TEMPO}
\usage{
tempo.permutationTest(mainResult, X, Y, genesets, ctrl, test, train = NULL,
  numPerms = 500, nCores = 24)
}
\arguments{
\item{mainResult}{the data structure returned by tempo.runInstance when run using the true class assignments}

\item{X}{a matrix with sample ids as row names and gene ids as column names}

\item{Y}{a list indexed by sample ids, containing numerical values, e.g. ages}

\item{genesets}{a list of lists.  Outer list is indexed by gene set name, inner list contains all gene ids in a given gene set}

\item{ctrl}{a list of sample ids.  The list of control samples to use in scoring.}

\item{test}{a list of sample ids.  The list of test samples to use in scoring.}

\item{train}{a list of sample ids.  The list of control samples to train models on.  If null, train on ctrl.}

\item{numPerms}{number of permutations to do in permutation testing.  Defaults to 500}

\item{nCores}{number of thread to spawn for permutation testing.  This should likely be set to some number less than or equal to
the number of cores on your machine.}
}
\value{
mainResult, with the score data frame annotated with p-values ("p-value") and fdr ("BH") for each gene set
}
\description{
Does permutation testing for the results of an instance of tempo run on the true class assignments.  Called by \code{\link{tempo.run}}.
}
